This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 438987 - Updates needed for NetXen driver
Updates needed for NetXen driver
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel (Show other bugs)
beta
All All
low Severity urgent
: ---
: ---
Assigned To: Clark Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-26 08:41 EDT by IBM Bug Proxy
Modified: 2008-04-22 12:42 EDT (History)
0 users

See Also:
Fixed In Version: 2.6.24.4-32.el5rt
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-22 12:42:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backport of latest netxen driver from (83.16 KB, text/plain)
2008-03-31 17:56 EDT, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 43496 None None None Never

  None (edit)
Description IBM Bug Proxy 2008-03-26 08:41:19 EDT
=Comment: #0=================================================
Vernon Mauery <mauery@us.ibm.com> - 2008-03-25 19:14 EDT
The current NetXen driver has a race that is exposed in the -rt kernel, which
will eventually cause the driver to go out to lunch under heavy stress.  I
worked with NetXen developer Dhananjay Phadke to find a fix for the driver.  He
has submitted patches to the netdev mailing list against the netdev-2.6 git
tree.  I have tested the patches and replied to his posts, but they have not
been committed to the netdev tree yet.

Please update the netxen driver from the netdev-2.6 git tree and then apply the
following four patches:

http://marc.info/?l=linux-netdev&m=120580981027703&q=raw
http://marc.info/?l=linux-netdev&m=120580981127717&q=raw
http://marc.info/?l=linux-netdev&m=120580981027706&q=raw
http://marc.info/?l=linux-netdev&m=120580981027709&q=raw

They should be applied in that order.

I tested the patches by applying the four patches to my local copy of the
netdev-2.6 tree and then building against the 2.6.24.3-29.el5rt kernel.
=Comment: #2=================================================
Sripathi Kodi <sripathi@in.ibm.com> - 2008-03-26 01:43 EDT
Setting severity to SHIP, priority to P2.
Comment 1 IBM Bug Proxy 2008-03-26 10:24:54 EDT
------- Comment From nivedita@us.ibm.com 2008-03-26 10:22 EDT-------
Wasn't sure if Clark needed a separate email or not. Vernon, you might need
to send an email to him with all the pointers and details.
Comment 2 IBM Bug Proxy 2008-03-31 17:56:41 EDT
Created attachment 299773 [details]
backport of latest netxen driver from 

This patch was created using:

git diff --patch-with-stat v2.6.24 HEAD -- drivers/net/netxen

I have run quite a bit of stress testing on various versions of this patch
(pre-git-commit versions) and have run some sanity testing on this exact patch
and believe that it is good and ready for addition to the MRG kernel.

The patch contains a backport of the latest netdev-2.6 git tree version of the
netxen driver which has quite a few bug fixes including one that closes a race
opened up by preemption in the -rt kernel.
Comment 3 Clark Williams 2008-04-07 10:54:35 EDT
applied to kernel-rt-2.6.24.4-32.el5rt

Please test at your earliest convenience and let us know if we need further work
or we can close this.

Clark
Comment 4 IBM Bug Proxy 2008-04-07 11:49:11 EDT
------- Comment From mauery@us.ibm.com 2008-04-07 11:43 EDT-------
I have confirmed that the required updates are in the 2.6.24.4-32.el5rt kernel.
Comment 5 Clark Williams 2008-04-22 12:42:55 EDT
closing for now

Note You need to log in before you can comment on or make changes to this bug.